Shotstash
API referenceREST referenceAuth

Sign in

Email and password in and a Bearer token out; also sets the shotstash_session media cookie. Rate limited to 10 attempts per 15 minutes per IP and per email.

Try the REST routes against the public demo at https://demostash.aldyernesto.my.id. Get a read-only token (valid for 60 minutes), then paste it as the Bearer token in the console of any route.

POST
/api/v1/auth/login

Email and password in and a Bearer token out; also sets the shotstash_session media cookie. Rate limited to 10 attempts per 15 minutes per IP and per email.

Request Body

application/json
  1. body
email*string

Account email.

password*string

Account password.

Response Body

Signed in

application/json
  1. response
token*string

Bearer token for /api/graphql and /api/v1/*. Keep it secret.

expiresAt*string

When the session expires unless used (ISO-8601 UTC).

user*

The signed-in account.

curl -X POST "https://example.com/api/v1/auth/login" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string"  }'
{  "token": "string",  "expiresAt": "string",  "user": {    "id": "string",    "email": "string",    "name": "string",    "role": "SUPER_ADMIN",    "avatarUrl": "string",    "accountStatus": "PENDING",    "onboardedAt": "string"  }}